﻿using System;
using System.Configuration;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace GPStoGoogleMap
{
    public partial class TestForm : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                ManagedProj4Projection proj = new ManagedProj4Projection();
                proj.InternalProjectionParametersString = ManagedProj4Projection.GetEpsgParametersString(3857);
                proj.ExternalProjectionParametersString = ManagedProj4Projection.GetEpsgParametersString(4326);
                proj.Open();
                PointShape pointInGoogle=new PointShape(229425.8125, 7575127.5);
                PointShape pointIn4326=proj.ConvertToExternalProjection(pointInGoogle) as PointShape;


                InMemoryFeatureLayer inmLayer = new InMemoryFeatureLayer();
                inmLayer.InternalFeatures.Add(new Feature(pointIn4326));
                inmLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                inmLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.Capital1;

                ShapeFileFeatureLayer shpLayer = new ShapeFileFeatureLayer(Server.MapPath("~/App_Data/cntry02.shp"));
                shpLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                shpLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;

                LayerOverlay ov = new LayerOverlay();
                ov.Layers.Add(shpLayer);
                ov.Layers.Add(inmLayer);
                ov.IsBaseOverlay = false;

                Map1.OnClientClick = "a";
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.CurrentExtent = new RectangleShape(-20,20,20,-20);
                Map1.CustomOverlays.Add(ov);
             }
        }
    }
}
